Modify

Opened 7 years ago

Closed 5 years ago

#7520 closed defect (fixed)

When un-deleting a node, JOSM doesn't zoom in on it, and instead, puts you at 0,0

Reported by: rickmastfan67 Owned by: team
Priority: normal Milestone:
Component: Plugin undelete Version: latest
Keywords: Cc:

Description (last modified by rickmastfan67)

Steps to reproduce:

  1. Start up JOSM (make sure you have the undelete plugins installed and active first of course)
  2. File > Undelete Object
  3. Paste the following ID into the box to undelete the following node: n2538197026
  4. Hit the "Undelete object" button.

Expected results:
The node is un-deleted and JOSM zooms in on the location where it is located.

What's happening:
The node is being un-deleted, however, JOSM doesn't zoom in on the location of the node. Instead, it zooms in on 0,0 making you wonder where the node is until you Ctrl+A and then right click in the Selection box and click "Zoom to Selection". Otherwise, you think the un-delete possibly failed since you don't see the node on the screen in the first place.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-03-18 02:32:20
Last Changed Author: simon04
Revision: 5097
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-03-17 23:51:40 +0100 (Sat, 17 Mar 2012)
Last Changed Rev: 5097

Identification: JOSM/1.5 (5097 en)
Memory Usage: 152 MB / 2730 MB (103 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (27852)
Plugin: buildings_tools (27984)
Plugin: licensechange (27964)
Plugin: mapdust (27884)
Plugin: measurement (27957)
Plugin: openstreetbugs (27852)
Plugin: reverter (27865)
Plugin: turnrestrictions (27891)
Plugin: undelete (27852)
Plugin: utilsplugin2 (28045)

Attachments (0)

Change History (2)

comment:1 Changed 5 years ago by rickmastfan67

Description: modified (diff)

This is still happening in [6783] with [o30207] version of the undelete plugin.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-01-30 02:37:19
Last Changed Author: Don-vip
Revision: 6783
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-01-30 02:08:22 +0100 (Thu, 30 Jan 2014)
Last Changed Rev: 6783

Identification: JOSM/1.5 (6783 en) Windows 7 64-Bit
Memory Usage: 222 MB / 1820 MB (133 MB allocated, but free)
Java version: 1.7.0_51, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx2048M]
Dataset consistency test: No problems found

Plugin: ImageryCache (30135)
Plugin: OpeningHoursEditor (30117)
Plugin: buildings_tools (30057)
Plugin: measurement (30104)
Plugin: mirrored_download (30162)
Plugin: notes (v0.8)
Plugin: osmarender (29854)
Plugin: reverter (30031)
Plugin: turnrestrictions (30237)
Plugin: undelete (30207)
Plugin: utilsplugin2 (30200)

comment:2 Changed 5 years ago by Don-vip

Resolution: fixed
Status: newclosed

Fixed in [o30273].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.